#!/bin/sh

if alert "Are you sure you want to install the PWRBTN driver?" "No" "Yes" ; then
  exit
fi

cwd=$(dirname $0)

# install kernel driver
cp --force --verbose $cwd/pwrbtn ~/config/add-ons/kernel/drivers/bin
mkdir --parents --verbose ~/config/add-ons/kernel/drivers/dev/misc
ln --symbolic --force --verbose ../../bin/pwrbtn ~/config/add-ons/kernel/drivers/dev/misc

# install pwrbtn daemon
BOOTSCRIPT="/boot/home/config/servers/pwrbtnd &    # added by PWRBTN driver installer"
mkdir --parents --verbose ~/config/servers
cp --force --verbose $cwd/pwrbtnd ~/config/servers
mkdir --parents --verbose ~/config/boot
SCRIPT=`grep "^$BOOTSCRIPT\$" < ~/config/boot/UserBootscript`
if [ "$SCRIPT" == "" ] ; then
  echo "$BOOTSCRIPT" >> ~/config/boot/UserBootscript
fi

rescan pwrbtn

if [ -c /dev/misc/pwrbtn ] ; then
	alert --idea "The driver found a PWRBTN." "Cool"
	/boot/home/config/servers/pwrbtnd &
else
	alert --stop "The driver could not find a PWRBTN." "Bummer"
fi
