/*
	PWRBTN Daemon
*/

#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <OS.h>
#include <Messenger.h>
#include "pwrbtn.h"

#define ROSTER_SIG "application/x-vnd.Be-ROST"
const uint32 CMD_SHUTDOWN_SYSTEM = 301;

int main()
{
	int	fd;
	
	struct pwrbtn_t pwrbtn;
	
	pwrbtn.pwrbtn_pressed_count = 0;
	
	fd = open("/dev/misc/pwrbtn", O_RDWR);
	if (fd < 0) {
		printf("sorry unsupported.\n");
		return 0;
	}
	while (true) {
		ioctl(fd, 0, &pwrbtn);
		printf("pdata=0x%x\n", (int)pwrbtn.pdata);
		if (pwrbtn.pwrbtn_pressed_count != 0) {
			printf("Power Button pressed.\n");
			// shutdown!
		 	BMessenger(ROSTER_SIG).SendMessage(CMD_SHUTDOWN_SYSTEM);
			pwrbtn.pwrbtn_pressed_count = 0;
		}
		snooze(500000);
	}
	close(fd);
	return 0;
}
